Package com.io7m.idstore.protocol.admin

# Enum Class IdAResponseBlame

java.lang.Object
java.lang.Enum<IdAResponseBlame>
com.io7m.idstore.protocol.admin.IdAResponseBlame

All Implemented Interfaces:
  `Serializable`, `Comparable<IdAResponseBlame>`, `Constable`

public enum IdAResponseBlame extends Enum<IdAResponseBlame>
A notion of whether the client is to blame for an error response, or the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLAME_CLIENT`
  The client sent a bad response.
  `BLAME_SERVER`
  Something went wrong on the server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdAResponseBlame`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdAResponseBlame[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLAME_CLIENT

    public static final IdAResponseBlame BLAME_CLIENT
    The client sent a bad response.

  - ### BLAME_SERVER

    public static final IdAResponseBlame BLAME_SERVER
    Something went wrong on the server.

- ## Method Details

  - ### values

    public static IdAResponseBlame[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdAResponseBlame valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null